Summary: A collection of basic system utilities
Name: util-linux
Version: 2.23.1
Release: 1
License: GPLv2 and GPLv2+ and LGPLv2+ and BSD with advertising and Public Domain
Group: System Environment/Base
URL: http://en.wikipedia.org/wiki/Util-linux
Source0: ftp://ftp.kernel.org/pub/linux/utils/util-linux/v2.23/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.kernel.org/pub/linux/utils/util-linux/v2.23/%{name}-%{version}.tar.sign
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: AIX-rpm >= 5.2.0.0
BuildRequires: patch, tar
BuildRequires: gcc >= 4.2.3-2
BuildRequires: gettext
Requires: AIX-rpm >= 5.2.0.0
Requires: gettext

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function. Among
others, Util-linux contains the fdisk configuration tool and the login
program.

This package contains only the 'column' and 'rename' program.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
export CC="gcc"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_AIX52 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --without-ncurses

make %{?_smp_mflags} column rename


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp column rename ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cp text-utils/column.1 misc-utils/rename.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Jul 11 2013 Michael Perzl <michael@perzl.org> - 2.23.1-1
- first version for AIX V5.2 and higher
